petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatMatTransposeSolve

Solves A X = B^T, given a factored matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMatTransposeSolve(Mat A,Mat Bt,Mat X)

Neighbor-wise Collective on Mat

### Input Parameters

| A | - the factored matrix
| Bt | - the transpose of right-hand-side matrix

### Output Parameter

X -the result matrix (dense matrix)

### Notes

Most users should usually employ the simplified KSP interface for linear solvers instead of working directly with matrix algebra routines such as this. See, e.g., KSPCreate(). However KSP can only solve for one vector (column of X) at a time.

For MUMPS, it only supports centralized sparse compressed column format on the host processor for right hand side matrix. User must create B^T in sparse compressed row format on the host processor and call MatMatTransposeSolve() to implement MUMPS' MatMatSolve().

### See Also

MatMatSolve(), MatMatSolveTranspose(), MatLUFactor(), MatCholeskyFactor()

### Level

developer

### Location

src/mat/interface/matrix.c

### Implementations

MatMatTransposeSolve_MUMPS in src/mat/impls/aij/mpi/mumps/mumps.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages